pcl::visualization::context_items::FilledRectangle Struct Reference

`#include <pcl/visualization/vtk/pcl_context_item.h>`

Inheritance diagram for pcl::visualization::context_items::FilledRectangle:

## Public Member Functions

| vtkTypeMacro (FilledRectangle, Rectangle)
bool | Paint (vtkContext2D *painter) override
Public Member Functions inherited from pcl::visualization::context_items::Rectangle
| vtkTypeMacro (Rectangle, Point)
bool | Paint (vtkContext2D *painter) override
virtual void | set (float _x, float _y, float _w, float _h)
Public Member Functions inherited from pcl::visualization::PCLContextItem
| vtkTypeMacro (PCLContextItem, vtkContextItem)
bool | Paint (vtkContext2D *) override
void | setColors (unsigned char r, unsigned char g, unsigned char b)
void | setColors (unsigned char rgb[3])
void | setOpacity (double opacity)

## Static Public Member Functions

static FilledRectangle * | New ()
Static Public Member Functions inherited from pcl::visualization::context_items::Rectangle
static Rectangle * | New ()
Static Public Member Functions inherited from pcl::visualization::PCLContextItem
static PCLContextItem * | New ()

## Additional Inherited Members

Public Attributes inherited from pcl::visualization::PCLContextItem
unsigned char | colors [3]
std::vector< float > | params

## Detailed Description

Definition at line 127 of file pcl_context_item.h.

## Member Function Documentation

## New()

static FilledRectangle* pcl::visualization::context_items::FilledRectangle::New | ( |  | ) |

static

## Paint()

bool pcl::visualization::context_items::FilledRectangle::Paint | ( | vtkContext2D * | painter | ) |

override

## vtkTypeMacro()

pcl::visualization::context_items::FilledRectangle::vtkTypeMacro | ( | FilledRectangle | ,
|  | Rectangle |
| ) |  |

The documentation for this struct was generated from the following file:

- pcl/visualization/vtk/pcl_context_item.h